import axios from "axios";
const token:any = "";
const cookie:any= ""
import { message } from "ant-design-vue";
// 创建axios实例
const instance = axios.create({
  baseURL: "http://192.168.3.131:8080/",
  // 设置相应的时间
  timeout: 5000,
  headers: {
    Accept: "application/json",
    "Content-Type": "application/json",
  },
});

// 请求拦截器
instance.interceptors.request.use(
  function (config: any) {
    // 这里判断localStorage里面是否存在token，如果有则在请求头里面设置
    // if (localStorage.jwtToken) {
    config.headers.Authorization = token;
    config.headers.Cookies = cookie;
    // }
    return config;
  },
  function (error) {
    return Promise.reject(error);
  }
);

// 响应式拦截器
instance.interceptors.response.use(
  function (response) {
    if (response.status === 200 ) {
      return response.data.data
    } else {
      message.error(response.data.message);
    }
  },
  function (error) {
    return Promise.reject(error);
  }
);

export default instance;
